[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TDelphiNodeInfo

TDelphiNodeInfo - record structure for Tree Node information (for Delphi compatibility).

## Declaration

Source position: comctrls.pp line 2994

`type TDelphiNodeInfo = packed record`
`ImageIndex: Integer;` |  | Ordinal position for the image displayed for the node
`SelectedIndex: Integer;` |  |
`StateIndex: Integer;` |  |
`OverlayIndex: Integer;` |  |
`Data: Cardinal;` |  |
`Count: Integer;` |  |
`Text: string;` |  |
`end;`